Class UmlReadVariableValueAction

Declaration :

- C++ : class UmlReadVariableValueAction : public UmlBaseReadVariableValueAction
- Java : class UmlReadVariableValueAction extends UmlBaseReadVariableValueAction

Artifact : UmlActivityActionClasses

Operation UmlReadVariableValueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlReadVariableValueAction(in id : item_id, in s : string) :
- C++ : public: UmlReadVariableValueAction(void * id, const QCString & s) : UmlBaseReadVariableValueAction(id, s)
- Java : public UmlReadVariableValueAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Variable , stereotype , supportFile , unload , unload , variable